The Spring Framework

## org.springframework.jdbc.object
Class UpdatableSqlQuery.RowMapperImpl

    java.lang.Object
      org.springframework.jdbc.object.UpdatableSqlQuery.RowMapperImpl

All Implemented Interfaces:
  RowMapper

Enclosing class:
  UpdatableSqlQuery

    protected class UpdatableSqlQuery.RowMapperImpl

extends Object
implements RowMapper

Implementation of RowMapper that calls the enclosing class's `updateRow()` method for each row.

Constructor Summary
`UpdatableSqlQuery.RowMapperImpl(Map context)`

Method Summary
`Object` `mapRow(ResultSet rs, int rowNum)` Implementations must implement this method to map each row of data in the ResultSet.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UpdatableSqlQuery.RowMapperImpl

    public UpdatableSqlQuery.RowMapperImpl(Map context)

Method Detail

### mapRow

    public Object mapRow(ResultSet rs,
                         int rowNum)
                  throws SQLException

  Description copied from interface: `RowMapper`
  Implementations must implement this method to map each row of data in the ResultSet. This method should not call `next()` on the ResultSet; it is only supposed to map values of the current row.

  Specified by:
    `mapRow` in interface `RowMapper`
  Parameters:
    `rs` - the ResultSet to map (pre-initialized for the current row)
    `rowNum` - the number of the current row
  Returns:
    the result object for the current row
  Throws:
    `SQLException` - if a SQLException is encountered getting column values (that is, there's no need to catch SQLException)

The Spring Framework

Copyright © 2002-2008 The Spring Framework.